classification
Title: Document PEP 3134 in tutorials/errors.rst
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, maxking, miss-islington, rhettinger
Priority: normal Keywords: patch

Created on 2019-08-11 18:36 by maxking, last changed 2019-08-16 21:58 by maxking. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15243 merged maxking, 2019-08-13 01:27
Messages (4)
msg349406 - (view) Author: Abhilash Raj (maxking) * (Python committer) Date: 2019-08-11 18:36
Looking at the docs, I couldn't find the `raise from` documentation anywhere in the Errors and Exceptions page (https://docs.python.org/3/tutorial/errors.html) page, which seems to be the landing page for Python Exceptions. 

I do see however that it is documented on the top page of https://docs.python.org/3/library/exceptions.html and raise statement's docs (https://docs.python.org/3/reference/simple_stmts.html#raise), both of which are pretty hard to discover. 

It would be nice to add the docs for `raise from` in the Errors and Exception page too.
msg349426 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-12 01:16
This is a reasonable suggestion.

Would you like to submit a pull request?
msg349510 - (view) Author: Abhilash Raj (maxking) * (Python committer) Date: 2019-08-13 00:55
Yes, I am gonna work on a PR.
msg349751 - (view) Author: miss-islington (miss-islington) Date: 2019-08-14 21:11
New changeset dcfe111eb5602333135b8776996332a8dcf59392 by Miss Islington (bot) (Abhilash Raj) in branch 'master':
bpo-37826: Document exception chaining in Python tutorial for errors. (GH-15243)
https://github.com/python/cpython/commit/dcfe111eb5602333135b8776996332a8dcf59392
History
Date User Action Args
2019-08-16 21:58:04maxkingsetstatus: open -> closed
stage: patch review -> resolved
2019-08-14 21:11:36miss-islingtonsetnosy: + miss-islington
messages: + msg349751
2019-08-13 01:27:28maxkingsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14964
2019-08-13 00:55:47maxkingsetmessages: + msg349510
2019-08-12 01:16:16rhettingersetnosy: + rhettinger
messages: + msg349426
2019-08-11 18:36:06maxkingcreate